org.eclipse.net4j.ui

## Class AcceptorContentProvider

- java.lang.Object
- - org.eclipse.jface.viewers.ViewerComparator
  - - org.eclipse.jface.viewers.ViewerSorter
    - - org.eclipse.net4j.util.ui.StructuredContentProvider<IManagedContainer>
      - - org.eclipse.net4j.ui.AcceptorContentProvider

- All Implemented Interfaces:
    java.util.EventListener, IContentProvider, IStructuredContentProvider, IListener

      public class AcceptorContentProvider
      extends StructuredContentProvider<IManagedContainer>

  A `structured content provider` that shows `acceptors`.
  Since:
    4.0
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PRODUCT_GROUP`

    - ### Fields inherited from class org.eclipse.jface.viewers.ViewerSorter

      `collator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AcceptorContentProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `connectInput(IManagedContainer input)`
    `protected void` | `disconnectInput(IManagedContainer input)`
    `java.lang.Object[]` | `getElements(java.lang.Object inputElement)`

    - ### Methods inherited from class org.eclipse.net4j.util.ui.StructuredContentProvider

      `dispose, expandElement, getBoldFont, getDisplay, getInput, getItalicFont, getViewer, inputChanged, notifyEvent, refreshElement, refreshSynced, refreshViewer, revealElement, selectElement, updateLabels`

    - ### Methods inherited from class org.eclipse.jface.viewers.ViewerSorter

      `getCollator`

    - ### Methods inherited from class org.eclipse.jface.viewers.ViewerComparator

      `category, compare, getComparator, isSorterProperty, sort`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PRODUCT_GROUP

          public static final java.lang.String PRODUCT_GROUP

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AcceptorContentProvider

          public AcceptorContentProvider()

  - ### Method Detail

    - #### getElements

          public java.lang.Object[] getElements(java.lang.Object inputElement)

    - #### connectInput

          protected void connectInput(IManagedContainer input)

      Overrides:
        `connectInput` in class `StructuredContentProvider<IManagedContainer>`

    - #### disconnectInput

          protected void disconnectInput(IManagedContainer input)

      Overrides:
        `disconnectInput` in class `StructuredContentProvider<IManagedContainer>`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html